package com.ruoyi.cai.enums;

import lombok.Getter;

@Getter
public enum GenderEnum {
    NONE(0,"未知","images/avatar/avatar.png"),
    WOMEN(1,"女","images/avatar/woman.png"),
    MAN(2,"男","images/avatar/man.png"),
        ;

    private final Integer code;
    private final String name;
    private final String defaultAvatar;

    GenderEnum(Integer code, String name, String defaultAvatar) {
        this.code = code;
        this.name = name;
        this.defaultAvatar = defaultAvatar;
    }

    public static GenderEnum getByCode(Integer code){
        GenderEnum[] values = GenderEnum.values();
        for (GenderEnum value : values) {
            if(value.getCode().equals(code)){
                return value;
            }
        }
        return null;
    }

    public static boolean checkDefaultAvatar(String avatar){
        GenderEnum[] values = GenderEnum.values();
        for (GenderEnum value : values) {
            if(value.getDefaultAvatar().equals(avatar)){
                return true;
            }
        }
        return false;
    }
}
